MongoDB.live, free & fully virtual. June 9th - 10th. Register Now MongoDB.live, free & fully virtual. June 9th - 10th. Register Now

Compatibility table Realm Studio <-> Realm library?

I’m having weird problems opening a Realm I created in my Android emulator
“Unable to open a realm at path ‘…/adbfiles/files/default.realm’: Invalid top array (ref: 5416, size: 11)”

Apparently it can be caused by compatibility issues.

Where do I find a table or similar where I can check which Realm Studio version works for which Realm version?

In this specific case I’m using Realm 7.0.0 beta and the latest Realm Studio 3.10.0

Thanks.

Historically Realm Studio has always had compatibility with all versions of the Realm file format released after its inception. So - there hasn’t been a real need for a table like this. This is not the case with Realm core 6 (which is used by Realm Java 7). There’s no official release of Realm Studio, which is compatible with Realm core 6 - but we’ve made a beta release https://github.com/realm/realm-studio/releases/tag/v3.9.0-beta.0 which you can use until an official release is out.

2 Likes